## ros-bouncy-control-msgs 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(control_msgs)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(trajectory_msgs REQUIRED)
find_package(actionlib_msgs REQUIRED)

set(msg_files
  "msg/GripperCommand.msg"
  "msg/JointControllerState.msg"
  "msg/JointTolerance.msg"
  "msg/JointTrajectoryControllerState.msg"
  "msg/PidState.msg"
)

set(action_files
  "action/FollowJointTrajectory.action"
  "action/GripperCommand.action"
  "action/JointTrajectory.action"
  "action/PointHead.action"
  "action/SingleJointPosition.action"
)

set(srv_files
  "srv/QueryCalibrationState.srv"
  "srv/QueryTrajectoryState.srv"
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces geometry_msgs std_msgs trajectory_msgs
  ADD_LINTER_TESTS
)
ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-bouncy-control-msgs (2.0.0-0bionic) bionic; urgency=high

  * ROS2 Bouncy conversion
  * Replace Adolfo with Bence as maintainer
  * Contributors: Austin Deric, Bence Magyar, Nestor Gonzalez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 25 Jan 2019 00:00:00 -0000

ros-bouncy-control-msgs (1.4.0-0bionic) bionic; urgency=high

  * Add antiwindup to JointControllerState message definition
  * Add PidState message
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 14 Apr 2016 23:00:00 -0000

ros-bouncy-control-msgs (1.3.1-0bionic) bionic; urgency=high

  * Export architecture_independent flag in package.xml
  * Change package maintainer.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Mar 2015 00:00:00 -0000

ros-bouncy-control-msgs (1.3.0-0bionic) bionic; urgency=high

  * Add error_string to action result.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

ros-bouncy-control-msgs (1.2.0-0bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Apr 2013 23:00:00 -0000

ros-bouncy-control-msgs (1.1.6-0bionic) bionic; urgency=high

  * adds missing feedback field to PointHeadAction
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Feb 2013 00:00:00 -0000

ros-bouncy-control-msgs (1.1.5-0bionic) bionic; urgency=high

  * changes PointHeadAction.action to PointHead.action
  * Contributors: Adam Leeper

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Jan 2013 00:00:00 -0000

ros-bouncy-control-msgs (1.1.4-0bionic) bionic; urgency=high

  * this now contains all messages, services and actions that used to be in ros_controllers and/or pr2_controllers_msgs
  * copy JointControllerState and JointTrajectoryControllerState  from pr2_controllers_msgs
  * copy GripperCommand from pr2_controllers_msgs
  * modified dep type of catkin
  * Contributors: Dirk Thomas, Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000

ros-bouncy-control-msgs (1.1.3-0bionic) bionic; urgency=high

  * fix dep
  * add missing downstream depend
  * switched from langs to message_* packages
  * Contributors: Dirk Thomas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Dec 2012 00:00:00 -0000

ros-bouncy-control-msgs (1.1.2-0bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Dec 2012 00:00:00 -0000

ros-bouncy-control-msgs (1.1.1-0bionic) bionic; urgency=high

  * added metapackage for backward compatibility
  * Contributors: Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Nov 2012 15:52:00 -0000

ros-bouncy-control-msgs (1.1.0-0bionic) bionic; urgency=high

  * port to catkin
  * add bogus dependency on rospy, to get ros_comm
  * Added documentation for the FollowJointTrajectory action and the JointTolerance message.
  * Added PointHeadAction to control_msgs
  * First cut at a FollowJointTrajectory action
  * Contributors: Brian Gerkey, Ioan Sucan, Stuart Glaser

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Nov 2012 14:54:00 -0000

=== debian/control ===
Source: ros-bouncy-control-msgs
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-actionlib-msgs, ros-bouncy-ament-cmake, ros-bouncy-ament-lint-auto, ros-bouncy-ament-lint-common, ros-bouncy-builtin-interfaces, ros-bouncy-rosidl-default-generators, ros-bouncy-trajectory-msgs, ros-bouncy-ros-workspace, ros-bouncy-rmw-connext-cpp, ros-bouncy-rmw-fastrtps-cpp, ros-bouncy-rmw-implementation, ros-bouncy-rmw-opensplice-cpp, ros-bouncy-rosidl-typesupport-connext-c, ros-bouncy-rosidl-typesupport-connext-cpp, ros-bouncy-rosidl-typesupport-opensplice-c, ros-bouncy-rosidl-typesupport-opensplice-cpp
Homepage: http://ros.org/wiki/control_msgs
Standards-Version: 3.9.2

Package: ros-bouncy-control-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-actionlib-msgs, ros-bouncy-builtin-interfaces, ros-bouncy-rosidl-default-runtime, ros-bouncy-trajectory-msgs, ros-bouncy-ros-workspace
Description: control_msgs contains base messages and actions useful for controlling robots.
 It provides representations for controller setpoints and joint and cartesian trajectories.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-control-msgs//opt/ros/bouncy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
